Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.servlet.jetty
Class JettyHttpConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.servlet.jetty.JettyHttpConnector

All Implemented Interfaces:
  ExceptionListener, EventListener, javax.resource.spi.work.WorkListener, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject, Connectable, Connector

Direct Known Subclasses:
  JettyHttpsConnector

    public class JettyHttpConnector

extends AbstractConnector

The `JettyConnector` can be using to embed a Jetty server to receive requests on an http inound endpoint. One server is created for each connector declared, many Jetty endpoints can share the same connector.

Field Summary
`static String` | `JETTY`
`static String` | `REST`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatchers, disposed, exceptionListener, initialised, initialStateStopped, logger, muleContext, name, numberOfConcurrentTransactedReceivers, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, started, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`JettyHttpConnector()`

Method Summary
`protected org.mortbay.jetty.AbstractConnector` | `createJettyConnector()`
`protected JettyReceiverServlet` | `createReceiverServlet()`
`protected void` | `doConnect()` Template method where any connections should be made for the connector
`protected void` | `doDisconnect()` Template method where any connected resources used by the connector should be disconnected
`protected void` | `doDispose()` Template method to dispose any resources associated with this receiver.
`protected void` | `doInitialise()`
`protected void` | `doStart()` Template method to perform any work when starting the connectoe
`protected void` | `doStop()` Template method to perform any work when stopping the connectoe
`String` | `getConfigFile()`
`org.mortbay.jetty.Server` | `getHttpServer()`
`String` | `getProtocol()`
`JettyReceiverServlet` | `getReceiverServlet()`
`ReplyToHandler` | `getReplyToHandler()` Getter for property 'replyToHandler'.
`Class` | `getServletClass()`
`boolean` | `isUseContinuations()`
`void` | `setConfigFile(String configFile)`
`void` | `setReceiverServlet(JettyReceiverServlet receiverServlet)`
`void` | `setServletClass(Class servletClass)`
`void` | `setUseContinuations(boolean useContinuations)`
`boolean` | `unregisterListener(MessageReceiver receiver)`

Methods inherited from class org.mule.transport.AbstractConnector
`checkDisposed, connect, createReceiver, createScheduler, destroyReceiver, disconnect, dispatch, dispose, disposeDispatchers, disposeReceivers, disposeRequesters, disposeWorkManagers, doUnregisterListener, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getExceptionListener, getMaxDispatchersActive, getMaxRequestersActive, getMessageAdapter, getMessageAdapter, getMuleContext, getName, getNumberOfConcurrentTransactedReceivers, getOutputStream, getReceiver, getReceiverKey, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isInitialStateStopped, isResponseEnabled, isStarted, isSyncEnabled, isValidateConnections, lookupReceiver, registerListener, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, send, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherThreadingProfile, setDynamicNotification, setExceptionListener, setInitialStateStopped, setMaxDispatchersActive, setMaxRequestersActive, setMuleContext, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, shutdownScheduler, start, startAfterConnect, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### JETTY

    public static final String JETTY

See Also:
  Constant Field Values

### REST

    public static final String REST

See Also:
  Constant Field Values

Constructor Detail

### JettyHttpConnector

    public JettyHttpConnector()

Method Detail

### getProtocol

    public String getProtocol()

  Returns:
    the primary protocol name for endpoints of this connector

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Specified by:
    `doInitialise` in class `AbstractConnector`
  Throws:
    `InitialisationException`

### doDispose

    protected void doDispose()

  Template method to dispose any resources associated with this receiver. There is not need to dispose the connector as this is already done by the framework

  Specified by:
    `doDispose` in class `AbstractConnector`

### doStart

    protected void doStart()
                    throws MuleException

  Description copied from class: `AbstractConnector`
  Template method to perform any work when starting the connectoe

  Specified by:
    `doStart` in class `AbstractConnector`
  Throws:
    `MuleException` - if the method fails

### doStop

    protected void doStop()
                   throws MuleException

  Description copied from class: `AbstractConnector`
  Template method to perform any work when stopping the connectoe

  Specified by:
    `doStop` in class `AbstractConnector`
  Throws:
    `MuleException` - if the method fails

### doConnect

    protected void doConnect()
                      throws Exception

  Template method where any connections should be made for the connector

  Specified by:
    `doConnect` in class `AbstractConnector`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Template method where any connected resources used by the connector should be disconnected

  Specified by:
    `doDisconnect` in class `AbstractConnector`
  Throws:
    `Exception`

### createJettyConnector

    protected org.mortbay.jetty.AbstractConnector createJettyConnector()

### unregisterListener

    public boolean unregisterListener(MessageReceiver receiver)

### getHttpServer

    public org.mortbay.jetty.Server getHttpServer()

### getConfigFile

    public String getConfigFile()

### setConfigFile

    public void setConfigFile(String configFile)

### getReceiverServlet

    public JettyReceiverServlet getReceiverServlet()

### setReceiverServlet

    public void setReceiverServlet(JettyReceiverServlet receiverServlet)

### createReceiverServlet

    protected JettyReceiverServlet createReceiverServlet()

### getServletClass

    public Class getServletClass()

### setServletClass

    public void setServletClass(Class servletClass)

### getReplyToHandler

    public ReplyToHandler getReplyToHandler()

  Getter for property 'replyToHandler'.

  Overrides:
    `getReplyToHandler` in class `AbstractConnector`
  Returns:
    Value for property 'replyToHandler'.

### isUseContinuations

    public boolean isUseContinuations()

### setUseContinuations

    public void setUseContinuations(boolean useContinuations)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.